Upload a contract ABI
POST /v2/contract/abi
POST
/v2/contract/abi
Upload a new contract ABI to the system.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”object
abi
required
The ABI content
Array<object>
object
[ { "type": "function", "name": "transfer" }] referenceId
required
A unique human readable reference to the abi.
string
ref-123 isShared
Whether the ABI is shared, only allowed for FSCO
boolean
Responses
Section titled “ Responses ”Created successfully
The uploaded ABI id
object
query
required
The query parameters
object
chainId
required
The chain ID
number
1 abiId
required
The ABI ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 contractAddress
required
The contract address
string
0x1234567890123456789012345678901234567890 methodName
required
The method name
string
balanceOf paramCollection
required
The parameters for the method
Array<string>
[ "0x1234567890123456789012345678901234567890"] isShared
required
Whether the ABI is shared
boolean
response
required
The response from the contract method
object
{ "balance": "1000000000000000000"}Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error